Patch Storage Profile

Patch Storage Profile

Only Solution users, Container admins, and System admins can patch StorageProfiles.

Request
URI
PATCH
https://{api_host}/container-service/api/config/storage-profiles/{id}
COPY
Path Parameters
string
id
Required

The id of the StorageProfile


Request Body

The patch of the StorageProfile

deploymentStorageProfile of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "documentSelfLink": "string",
    "tenantLinks": [
        "string"
    ],
    "storageItems": [
        {
            "defaultDiskItem": false,
            "tagLinks": [
                "string"
            ],
            "name": "string"
        }
    ],
    "documentUpdateTimeMicros": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
documentSelfLink
Optional

documentSelfLink

array of string
tenantLinks
Optional

tenantLinks

array of StorageItem
storageItems
Optional

storageItems

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

Responses
200
Operation doesn't return any data structure